<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: lpm_fifo_dc Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">lpm_fifo_dc Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for lpm_fifo_dc:</div>
<div class="dyncontent">
<div class="center"><img src="classlpm__fifo__dc__inherit__graph.png" border="0" usemap="#lpm__fifo__dc_inherit__map" alt="Inheritance graph"/></div>
<map name="lpm__fifo__dc_inherit__map" id="lpm__fifo__dc_inherit__map">
<area shape="rect" id="node2" href="classFIFO__sync.html" title="FIFO_sync" alt="" coords="73,80,159,107"/><area shape="rect" id="node3" href="classfed__itf.html" title="fed_itf" alt="" coords="84,155,148,181"/><area shape="rect" id="node4" href="classSLINK__opt.html" title="SLINK_opt" alt="" coords="5,229,93,256"/><area shape="rect" id="node8" href="classSLINK__opt__XGMII.html" title="SLINK_opt_XGMII" alt="" coords="117,229,251,256"/><area shape="rect" id="node5" href="classDaqLSCXG.html" title="DaqLSCXG" alt="" coords="5,304,96,331"/><area shape="rect" id="node6" href="classDAQLSCXG__if.html" title="DAQLSCXG_if" alt="" coords="61,379,171,405"/><area shape="rect" id="node7" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="71,453,161,480"/><area shape="rect" id="node9" href="classDaqLSCXG10G.html" title="DaqLSCXG10G" alt="" coords="123,304,240,331"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classlpm__fifo__dc-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classlpm__fifo__dc_1_1lpm__fifo__dc__a.html">lpm_fifo_dc_a</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:a96754d19c2b0f43b8cb4eb02262f1c92"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a96754d19c2b0f43b8cb4eb02262f1c92"></a>
<a class="el" href="classlpm__fifo__dc.html#a96754d19c2b0f43b8cb4eb02262f1c92">XilinxCoreLib</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:ab8ed90531814d7bebb56707f195125c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab8ed90531814d7bebb56707f195125c5"></a>
<a class="el" href="classlpm__fifo__dc.html#ab8ed90531814d7bebb56707f195125c5">wr_clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac2c35d331b8f8bfe96138f4cbb1f0027"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2c35d331b8f8bfe96138f4cbb1f0027"></a>
<a class="el" href="classlpm__fifo__dc.html#ac2c35d331b8f8bfe96138f4cbb1f0027">wr_rst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2ec12b604952de90314bc97ab1293314"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ec12b604952de90314bc97ab1293314"></a>
<a class="el" href="classlpm__fifo__dc.html#a2ec12b604952de90314bc97ab1293314">rd_clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae2e95617e775f939dde34f034c541317"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2e95617e775f939dde34f034c541317"></a>
<a class="el" href="classlpm__fifo__dc.html#ae2e95617e775f939dde34f034c541317">rd_rst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9fa09654ac2d8bd38e8da2f4644c65cd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9fa09654ac2d8bd38e8da2f4644c65cd"></a>
<a class="el" href="classlpm__fifo__dc.html#a9fa09654ac2d8bd38e8da2f4644c65cd">din</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">65</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac51524942fe13194bea41f47a0e1f359"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac51524942fe13194bea41f47a0e1f359"></a>
<a class="el" href="classlpm__fifo__dc.html#ac51524942fe13194bea41f47a0e1f359">wr_en</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab858d9d3b031f1fcf77d03604d9207c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab858d9d3b031f1fcf77d03604d9207c4"></a>
<a class="el" href="classlpm__fifo__dc.html#ab858d9d3b031f1fcf77d03604d9207c4">rd_en</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a97b2f65351cfe2381e8c53eb565f90de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a97b2f65351cfe2381e8c53eb565f90de"></a>
<a class="el" href="classlpm__fifo__dc.html#a97b2f65351cfe2381e8c53eb565f90de">dout</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">65</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8260079058dc695c1af4b135dcd8af40"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8260079058dc695c1af4b135dcd8af40"></a>
<a class="el" href="classlpm__fifo__dc.html#a8260079058dc695c1af4b135dcd8af40">full</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2bd38ce6c27442e8a4511f4daf729cb6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2bd38ce6c27442e8a4511f4daf729cb6"></a>
<a class="el" href="classlpm__fifo__dc.html#a2bd38ce6c27442e8a4511f4daf729cb6">empty</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9b41f9b8e90efd292adbc12db694b4f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b41f9b8e90efd292adbc12db694b4f0"></a>
<a class="el" href="classlpm__fifo__dc.html#a9b41f9b8e90efd292adbc12db694b4f0">wr_data_count</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">5</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="lpm__fifo__dc_8vhd_source.html#l00043">43</a> of file <a class="el" href="lpm__fifo__dc_8vhd_source.html">lpm_fifo_dc.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/5Gb/slink/<a class="el" href="lpm__fifo__dc_8vhd_source.html">lpm_fifo_dc.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
